from django.urls import path
from .views import (
    hello_world, 
    VoucherVerify,
    place_detail_view, 
    place_list_view, 
    SignUpView, 
    PlaceCreateView,
    PlaceUpdateView
)

urlpatterns = [
    path('hello_world/', hello_world), # You know what this is :P
    path('signup/', SignUpView.as_view(), name='signup'),
    path('voucher/<slug:code>/', VoucherVerify.as_view(), name='voucher_verify'),
    path('voucher/', VoucherVerify.as_view(), name='enter_voucher'),
    path('place/<int:pk>/', place_detail_view, name='place_detail'),
    path('place/create/', PlaceCreateView.as_view(), name='place_create'),
    path('place/update/<int:pk>/', PlaceUpdateView.as_view(), name='place_edit'),
    path('place/', place_list_view, name='place_list')
]
